Welcome to the new RoboCon Docs! Please note that this docs is still WIP.
curl --request PATCH \
--url https://api.example.com/api/v1/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"is_admin": true,
"is_playing": true,
"robot_ip": "<string>"
}
'{
"id": 123,
"name": "<string>",
"is_admin": true,
"is_playing": true,
"eliminated": true,
"robot_ip": "<string>"
}curl --request PATCH \
--url https://api.example.com/api/v1/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"is_admin": true,
"is_playing": true,
"robot_ip": "<string>"
}
'{
"id": 123,
"name": "<string>",
"is_admin": true,
"is_playing": true,
"eliminated": true,
"robot_ip": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?